API V2 (Beta)
Webhooks
Webhooks
Section titled “Webhooks”Receive LingoHub events at your own endpoint: manage endpoints and signing secrets, and inspect or redeliver deliveries.
Operations
| Operation | Request |
|---|---|
| List webhook endpoints | GET /v2/webhook-endpoints |
| Create a webhook endpoint | POST /v2/webhook-endpoints |
| Test a webhook endpoint | POST /v2/webhook-endpoints/{webhookEndpointId}/test |
| Rotate a webhook signing secret | POST /v2/webhook-endpoints/{webhookEndpointId}/rotate-secret |
| Enable a webhook endpoint | POST /v2/webhook-endpoints/{webhookEndpointId}/enable |
| Disable a webhook endpoint | POST /v2/webhook-endpoints/{webhookEndpointId}/disable |
| Redeliver a webhook delivery | POST /v2/webhook-deliveries/{webhookDeliveryId}/redeliver |
| Retrieve a webhook endpoint | GET /v2/webhook-endpoints/{webhookEndpointId} |
| Delete a webhook endpoint | DELETE /v2/webhook-endpoints/{webhookEndpointId} |
| Update a webhook endpoint | PATCH /v2/webhook-endpoints/{webhookEndpointId} |
| List webhook subscription event types | GET /v2/webhook-event-types |
| List webhook deliveries | GET /v2/webhook-endpoints/{webhookEndpointId}/deliveries |
| Retrieve a webhook delivery | GET /v2/webhook-deliveries/{webhookDeliveryId} |